{******************************************************************************
 *                                                                            *
 *                                LayGO (tm)                                  *
 *           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
 *                           All rights reserved.                             *
 *                                                                            *
 ******************************************************************************

  $Source: Q:/laygorcs/X25.pas $

      $Id: X25.pas 1.3 2001/04/26 23:28:30 tiktin Exp $

  EXTERNAL MODULE DESCRIPTION

    Exports X.25 constants, types and routines.

 ******************************************************************************}

unit X25;

interface

uses
    Laygo;

const

    pkt_D_BIT = $1;
    pkt_M_BIT = $2;
    pkt_Q_BIT = $4;

    pkt_TIMER_T20_RESTART = 0;
    pkt_TIMER_T28_REGISTRATION = 1;
    pkt_TIMER_MAX = 2;

    pkt_TIMER_T21_CALL = 0;
    pkt_TIMER_T22_RESET = 1;
    pkt_TIMER_T23_CLEAR = 2;
    pkt_TIMER_T24_WINDOW_STATUS = 3;
    pkt_TIMER_T25_WINDOW_ROTATION = 4;
    pkt_TIMER_VC_MAX = 5;

    pkt_IOCTL_DEBUG_WRITE = 0;
    pkt_IOCTL_MAX = 1;

    pkt_IOCTL_SEND_INTERRUPT = 0;
    pkt_IOCTL_SEND_INTERRUPT_CONFIRMATION = 1;
    pkt_IOCTL_REQUEST_RESTART = 2;
    pkt_IOCTL_VC_MAX = 3;

    pkt_STAT_PACKET_TOO_SHORT = 0;
    pkt_STAT_INVALID_GFI = 1;
    pkt_STAT_PACKET_ON_UNASSIGNED_LOGICAL_CHANNEL = 2;
    pkt_STAT_MAX = 3;

    pkt_STAT_DATA_SENT = 0;
    pkt_STAT_RR_SENT = 1;
    pkt_STAT_RNR_SENT = 2;
    pkt_STAT_RESETS_SENT = 3;
    pkt_STAT_DATA_RECEIVED = 4;
    pkt_STAT_RR_RECEIVED = 5;
    pkt_STAT_RNR_RECEIVED = 6;
    pkt_STAT_RESETS_RECEIVED = 7;
    pkt_STAT_UNKNOWN_PACKETS = 8;
    pkt_STAT_VC_MAX = 9;

    pkt_MSG_DIAGNOSTIC = 0;
    pkt_MSG_INTERRUPT = 1;
    pkt_MSG_INTERRUPT_CONFIRMATION = 2;
    pkt_MSG_MAX = 3;

{******************************************************************************
    X.25 call setup functions
 ******************************************************************************}
function call_LoadCallData(fileName: LFileName; buffer: LCtlBuffer; size: LBufferSize):
                LResult;
                cdecl; external 'laygo32x.dll';

implementation
{******************************************************************************
                                 End of File
 ******************************************************************************}
end.
