{******************************************************************************
 *                                                                            *
 *                                LayGO (tm)                                  *
 *           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
 *                           All rights reserved.                             *
 *                                                                            *
 ******************************************************************************

  $Source: q:/laygorcs/DtdrvTdat.pas $

      $Id: DtdrvTdat.pas 1.2 2000/02/29 01:17:14 tiktin Release $

  EXTERNAL MODULE DESCRIPTION

    Exports the Send Test Data Frames dialog box.

 ******************************************************************************}

unit DtdrvTdat;

interface

uses
    Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
    StdCtrls, Tdat, Hex, DtdrvText;

type
    TTdatForm = class(TForm)
        TestDataList: TListBox;
        SendButton: TButton;
        ViewButton: TButton;
        DoneButton: TButton;
        procedure OnDoneButtonClick(Sender: TObject);
        procedure OnSendButtonClick(Sender: TObject);
        procedure ViewButtonClick(Sender: TObject);
        procedure OnShow(Sender: TObject);
    private
        { Private declarations }
    public
        { Public declarations }
    end;

var
    TdatForm: TTdatForm;

implementation

uses DtdrvMain;

{$R *.DFM}

procedure TTdatForm.OnDoneButtonClick(Sender: TObject);
begin
    Close();
end;

procedure TTdatForm.OnSendButtonClick(Sender: TObject);
begin
    MainForm.QueueTestFrame(TestDataList.ItemIndex);
end;

procedure TTdatForm.ViewButtonClick(Sender: TObject);
var
    dump:   String;
    i:      Integer;
begin

    i := TestDataList.ItemIndex;

    if i < TdatGetCount() then
    begin
        dump := TdatGetLabel(i) + ':' + #13#10#13#10 +
                HexHeader(8) +
                HexFormat(TdatGetFrame(i), TdatGetSize(i), 8);
        TextForm.SetTitle('Test Data');
        TextForm.SetText(dump);
        TextForm.ShowModal();
    end;
end;

procedure TTdatForm.OnShow(Sender: TObject);
var
    count:  Integer;
    i:      Integer;
begin

    TestDataList.Items.Clear();

    count := TdatGetCount();

    for i := 0 to count - 1 do
    begin
        TestDataList.Items.Append(TdatGetLabel(i));
    end;

    TestDataList.ItemIndex := 0;
end;

{******************************************************************************
                                 End of File
 ******************************************************************************}
end.
