{******************************************************************************
 *                                                                            *
 *                                LayGO (tm)                                  *
 *           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
 *                           All rights reserved.                             *
 *                                                                            *
 ******************************************************************************

  $Source: q:/laygorcs/DtdrvText.pas $

      $Id: DtdrvText.pas 1.2 2000/02/29 01:17:14 tiktin Release $

  EXTERNAL MODULE DESCRIPTION

    Exports the general purpose scrolling text dialog box.

 ******************************************************************************}

unit DtdrvText;

interface

uses
    Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
    StdCtrls;

type
    TTextForm = class(TForm)
        TextMemo: TMemo;
        OkButton: TButton;
        procedure OkButtonClick(Sender: TObject);
    private
        { Private declarations }
    public
        { Public declarations }
        function  LoadFile(fileName: String): Boolean;
        procedure SetText(textString: String);
        procedure SetTitle(titleString: String);
    end;

var
    TextForm: TTextForm;

implementation

{$R *.DFM}

procedure TTextForm.OkButtonClick(Sender: TObject);
begin
    Close();
end;

procedure TTextForm.SetText(textString: String);
begin
    TextMemo.Clear();
    TextMemo.Text := textString;
end;

procedure TTextForm.SetTitle(titleString: String);
begin
    Caption := titleString;
end;

function TTextForm.LoadFile(fileName: String): Boolean;
var
    F: TextFile;
    S: string;
begin

    TextMemo.Clear();

    try
        AssignFile(F, fileName);
        Reset(F);
        try
            while not Eof(F) do
            begin
                Readln(F, S);
                TextMemo.Text := TextMemo.Text + S + #13#10;
            end;
            LoadFile := True;
        except
            LoadFile := False;
        end;
        CloseFile(F);
    except
        LoadFile := False;
    end;
end;

{******************************************************************************
                                 End of File
 ******************************************************************************}
end.
