{******************************************************************************
 *                                                                            *
 *                                LayGO (tm)                                  *
 *           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
 *                           All rights reserved.                             *
 *                                                                            *
 ******************************************************************************

  $Source: q:/laygorcs/Using.pas $

      $Id: Using.pas 1.3 2000/04/18 00:19:49 tiktin Exp $

  EXTERNAL MODULE DESCRIPTION

    Exports routines for retreiving Using Dtdrv text.

 ******************************************************************************}

unit Using;

interface

function GetUsingText(): String;

implementation

function GetUsingText(): String;
var
    str: String;
begin

    str := '';
    str := str + '**************************************************************' + #13#10;
    str := str + '*                                                            *' + #13#10;
    str := str + '*                         LayGO (tm)                         *' + #13#10;
    str := str + '*    Copyright (c) 1998-2000 by Advanced Relay Corporation   *' + #13#10;
    str := str + '*                   All rights reserved.                     *' + #13#10;
    str := str + '*                                                            *' + #13#10;
    str := str + '**************************************************************' + #13#10;
    str := str + '' + #13#10;
    str := str + 'Using Dtdrv' + #13#10;
    str := str + '------------' + #13#10;
    str := str + '' + #13#10;
    str := str + 'Dtdrv is a Win32 LayGO program written in Pascal using' + #13#10;
    str := str + 'Delphi 4.  Dtdrv is designed to test the LayGO device' + #13#10;
    str := str + 'driver and communication board with the protocol stack' + #13#10;
    str := str + 'software.  It can be used in either hardware loopback mode' + #13#10;
    str := str + 'or to connect to another system in a "back-to-back" setup.' + #13#10;
    str := str + '' + #13#10;
    str := str + 'Dtdrv uses only the X.21 bis physical layer protocol.  It' + #13#10;
    str := str + 'is not a general LayGO test program, and it is not designed' + #13#10;
    str := str + 'to connect to a network or other equipment requiring higher' + #13#10;
    str := str + 'layer protocols.  However, it may be used to test the' + #13#10;
    str := str + 'physical connection to such a network or device.  Dtdrv' + #13#10;
    str := str + 'will display the status of the physical signals and the' + #13#10;
    str := str + 'contents of any frames received.  Using the Test Data' + #13#10;
    str := str + 'feature discussed below, the user can also send previously' + #13#10;
    str := str + 'prepared frames to emulate a higher layer protocol.' + #13#10;
    str := str + '' + #13#10;
    str := str + 'Starting Dtdrv:' + #13#10;
    str := str + '' + #13#10;
    str := str + 'The command-line syntax for Dtdrv is:' + #13#10;
    str := str + '' + #13#10;
    str := str + '     dtdrv [ cfg file list ]' + #13#10;
    str := str + '' + #13#10;
    str := str + 'where [ cfg file list ] is an ordered list of .cfg files' + #13#10;
    str := str + 'Dtdrv will use to configure the stack at startup.  For' + #13#10;
    str := str + 'instance, to test hardware loopback, start Dtdrv with the' + #13#10;
    str := str + 'command-line:' + #13#10;
    str := str + '' + #13#10;
    str := str + '     dtdrv stackx.cfg x21loop.cfg' + #13#10;
    str := str + '' + #13#10;
    str := str + 'where the "x" in "stackx.cfg" is the LayGO Board Identifier' + #13#10;
    str := str + 'for the installed device driver, such as "6" for the LayGO' + #13#10;
    str := str + 'Hardware Emulator.' + #13#10;
    str := str + '' + #13#10;
    str := str + 'Running Dtdrv:' + #13#10;
    str := str + '' + #13#10;
    str := str + '10 buttons on the main display control the operation of' + #13#10;
    str := str + 'Dtdrv.  Most button names are shortened versions of the' + #13#10;
    str := str + 'LayGO API functions they invoke.  (The exception is "Full' + #13#10;
    str := str + 'Duplex" which toggles full speed data transfer.)  The' + #13#10;
    str := str + 'operations available at any time depend on the state of the' + #13#10;
    str := str + 'connection.  Buttons for operations which are not available' + #13#10;
    str := str + 'are grayed out but become active as Dtdrv changes state.' + #13#10;
    str := str + '' + #13#10;
    str := str + 'To start, select a line number, then press "Open" and either' + #13#10;
    str := str + '"Connect" or "Listen".' + #13#10;
    str := str + '' + #13#10;
    str := str + 'Menu Options:' + #13#10;
    str := str + '' + #13#10;
    str := str + '   Logging' + #13#10;
    str := str + '' + #13#10;
    str := str + 'The Logging menu allows the user to set the level of detail' + #13#10;
    str := str + 'displayed in the log window and to clear the log display.' + #13#10;
    str := str + '' + #13#10;
    str := str + '   Statistics' + #13#10;
    str := str + '' + #13#10;
    str := str + 'The Statistics menu gives the user access to statistics and' + #13#10;
    str := str + 'status report data from an open X.21 bis device.  It also' + #13#10;
    str := str + 'allows the user to clear the device statistics and the send' + #13#10;
    str := str + 'and receive counters in the display.' + #13#10;
    str := str + '' + #13#10;
    str := str + '   Data' + #13#10;
    str := str + '' + #13#10;
    str := str + 'The Data menu allows the user to load test data frames' + #13#10;
    str := str + 'from a file and, once in data transfer state, to select' + #13#10;
    str := str + 'individual frames to send.' + #13#10;
    str := str + '' + #13#10;
    str := str + 'Verified Transmission:' + #13#10;
    str := str + '' + #13#10;
    str := str + 'When Dtdrv exchanges data with another system, the user' + #13#10;
    str := str + 'can choose to enable the verified transmission protocol.' + #13#10;
    str := str + 'Using this protocol, each system repeatedly sends a' + #13#10;
    str := str + 'predetermined sequence of frames.  Since the contents of' + #13#10;
    str := str + 'every frame is known in advance, the receiver can verify' + #13#10;
    str := str + 'that the frames are received correctly and in order and' + #13#10;
    str := str + 'report any discrepancies.  Verified transmission provides' + #13#10;
    str := str + 'an automated test of the physical integrity of the installed' + #13#10;
    str := str + 'communication equipment, but requires 2 systems each running' + #13#10;
    str := str + 'Dtdrv.' + #13#10;
    str := str + '' + #13#10;
    str := str + 'Test Data:' + #13#10;
    str := str + '' + #13#10;
    str := str + 'Test data frames are prerecorded byte sequences which can be' + #13#10;
    str := str + 'read into the program as binary data from a ordinary text' + #13#10;
    str := str + 'file.  The default extension for test data files is .dat.' + #13#10;
    str := str + '' + #13#10;
    str := str + 'Each frame in the file begins with a title enclosed in' + #13#10;
    str := str + 'square brackets followed by any number of lines of hex-coded' + #13#10;
    str := str + 'bytes.  Blank lines and lines starting with a "#" (pound' + #13#10;
    str := str + 'sign) are ignored.  The following is a sample file which' + #13#10;
    str := str + 'contains 12 HDLC LAPB supervisory frames:' + #13#10;
    str := str + '' + #13#10;
    str := str + '    #' + #13#10;
    str := str + '    #   lapb.dat' + #13#10;
    str := str + '    #' + #13#10;
    str := str + '    #   HDLC LAPB supervisory frames (modulo 8)' + #13#10;
    str := str + '    #' + #13#10;
    str := str + '    [DTE SABM P=0]' + #13#10;
    str := str + '    01 2F' + #13#10;
    str := str + '' + #13#10;
    str := str + '    [DTE SABM P=1]' + #13#10;
    str := str + '    01 3F' + #13#10;
    str := str + '' + #13#10;
    str := str + '    [DCE SABM P=0]' + #13#10;
    str := str + '    03 2F' + #13#10;
    str := str + '' + #13#10;
    str := str + '    [DCE SABM P=1]' + #13#10;
    str := str + '    03 3F' + #13#10;
    str := str + '' + #13#10;
    str := str + '    [DTE DISC P=0]' + #13#10;
    str := str + '    01 43' + #13#10;
    str := str + '' + #13#10;
    str := str + '    [DTE DISC P=1]' + #13#10;
    str := str + '    01 53' + #13#10;
    str := str + '' + #13#10;
    str := str + '    [DCE DISC P=0]' + #13#10;
    str := str + '    03 43' + #13#10;
    str := str + '' + #13#10;
    str := str + '    [DCE DISC P=1]' + #13#10;
    str := str + '    03 53' + #13#10;
    str := str + '' + #13#10;
    str := str + '    [DTE UA P=0]' + #13#10;
    str := str + '    03 63' + #13#10;
    str := str + '' + #13#10;
    str := str + '    [DTE UA P=1]' + #13#10;
    str := str + '    03 73' + #13#10;
    str := str + '' + #13#10;
    str := str + '    [DCE UA P=0]' + #13#10;
    str := str + '    01 63' + #13#10;
    str := str + '' + #13#10;
    str := str + '    [DCE UA P=1]' + #13#10;
    str := str + '    01 73' + #13#10;
    str := str + '' + #13#10;
    str := str + '    #' + #13#10;
    str := str + '    #   end of lapb.dat' + #13#10;
    str := str + '    #' + #13#10;
    str := str + '' + #13#10;
    str := str + 'Although Dtdrv does not use the LAPB protocol, these frames' + #13#10;
    str := str + 'could be used to test whether a LAPB link can be established' + #13#10;
    str := str + 'over a  particular physical connection.' + #13#10;
    str := str + '' + #13#10;
    str := str + '**************************************************************' + #13#10;
    str := str + '*                          End of file                       *' + #13#10;
    str := str + '**************************************************************' + #13#10;

    GetUsingText := str;
end;

{******************************************************************************
                                 End of File
 ******************************************************************************}
end.